Bug 1910409

Summary: Notification drawer is not localized for i18n
Product: OpenShift Container Platform Reporter: Joe Caiani <jcaiani>
Component: Management ConsoleAssignee: Joe Caiani <jcaiani>
Status: CLOSED ERRATA QA Contact: Yadan Pei <yapei>
Severity: low Docs Contact:
Priority: unspecified    
Version: 4.7CC: aos-bugs, jokerman, yapei
Target Milestone: ---Keywords: UpcomingSprint
Target Release: 4.7.0Flags: jcaiani: needinfo-
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:48:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
notification drawer is still in English none

Description Joe Caiani 2020-12-23 18:59:58 UTC
Description of problem:
Notification drawer strings are english only

Version-Release number of selected component (if applicable):


How reproducible:

always
Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Joe Caiani 2020-12-23 19:00:27 UTC
new bug, moving to upcoming sprint

Comment 3 Yadan Pei 2021-01-22 08:37:02 UTC
1. Visit the admin console and add the url search params `?pseudolocalization=true&lng=en`
2. Open Notification Drawer, check pseudolocalization

Also this fix PR has been approved with /qe-approved label, so moving to VERIFIED

Verified on 4.7.0-0.nightly-2021-01-21-215614

Comment 4 Yadan Pei 2021-01-22 08:46:59 UTC
Created attachment 1749651 [details]
notification drawer is still in English

Hi Joe, 

There is one issue that after I changed Language to Japanese or Chinese, I didn't see text in Notification Drawer is displayed with Japanese or Chinese words

Comment 7 errata-xmlrpc 2021-02-24 15:48:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633